CanvasParserInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
CanvasParserInternal::State Struct Reference

Internal: the state of a CanvasParser. More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
bool | m_isWindowsFile
| true if this is a windows file More...
std::vector< unsigned long > | m_lengths
| the file header first 4+1 lengths More...
std::vector< unsigned long > | m_brushLengths
| the brush lengths More...
long | m_bitmapSize
| the file bitmap size (Windows v3) More...
MWAWInputStreamPtr | m_input
| the uncompressed input More...
Decoder | m_decoder
| the main decoder More...
int | m_numLayers
| the number of layer More...
int | m_numShapes
| the number of shapes More...
int | m_numViews
| the number of views More...
int | m_numColors
| the number of colors More...
int | m_numPatterns
| the number of patterns More...
std::vector< unsigned long > | m_sprayLengths
| the list of spray size More...
MWAWVec2i | m_numPages
| the number of pages More...
MWAWVec2i | m_pageDimension
| the page dimension More...
std::vector< Layer > | m_layers
| the layer More...
librevenge::RVNGPropertyList | m_metaData
| the meta data More...

## Detailed Description

Internal: the state of a CanvasParser.

## Constructor & Destructor Documentation

## ◆ State()

CanvasParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_bitmapSize

long CanvasParserInternal::State::m_bitmapSize

the file bitmap size (Windows v3)

## ◆ m_brushLengths

std::vector<unsigned long> CanvasParserInternal::State::m_brushLengths

the brush lengths

## ◆ m_decoder

Decoder CanvasParserInternal::State::m_decoder

the main decoder

## ◆ m_input

MWAWInputStreamPtr CanvasParserInternal::State::m_input

the uncompressed input

## ◆ m_isWindowsFile

bool CanvasParserInternal::State::m_isWindowsFile

true if this is a windows file

## ◆ m_layers

std::vector<Layer> CanvasParserInternal::State::m_layers

the layer

## ◆ m_lengths

std::vector<unsigned long> CanvasParserInternal::State::m_lengths

the file header first 4+1 lengths

## ◆ m_metaData

librevenge::RVNGPropertyList CanvasParserInternal::State::m_metaData

the meta data

## ◆ m_numColors

int CanvasParserInternal::State::m_numColors

the number of colors

## ◆ m_numLayers

int CanvasParserInternal::State::m_numLayers

the number of layer

## ◆ m_numPages

MWAWVec2i CanvasParserInternal::State::m_numPages

the number of pages

## ◆ m_numPatterns

int CanvasParserInternal::State::m_numPatterns

the number of patterns

## ◆ m_numShapes

int CanvasParserInternal::State::m_numShapes

the number of shapes

## ◆ m_numViews

int CanvasParserInternal::State::m_numViews

the number of views

## ◆ m_pageDimension

MWAWVec2i CanvasParserInternal::State::m_pageDimension

the page dimension

## ◆ m_sprayLengths

std::vector<unsigned long> CanvasParserInternal::State::m_sprayLengths

the list of spray size

The documentation for this struct was generated from the following file:

- CanvasParser.cxx